GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
debug_names::debug_str_lookup Class Reference

## Public Member Functions
| debug_str_lookup ()
size_t | lookup (const char *s)
void | file_write (FILE *file) const

## Private Attributes
std::unordered_map< c_str_view, size_t, c_str_view_hasher > | m_str_table
bfd *const | m_abfd
data_buf | m_str_add_buf

## Detailed Description

Definition at line 26293 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ debug_str_lookup()

debug_names::debug_str_lookup::debug_str_lookup | ( |  | ) |
| inline

Definition at line 26299 of file dwarf2read.c.

References _, dwarf2_section_info::buffer, complaint, dwarf2_read_section(), m_abfd, m_str_table, dwarf2_section_info::size, dwarf2_per_objfile::str, and symfile_complaints.

## Member Function Documentation

## ◆ file_write()

void debug_names::debug_str_lookup::file_write | ( | FILE * | file | ) | const
| inline

Definition at line 26339 of file dwarf2read.c.

References data_buf::file_write(), and m_str_add_buf.

Referenced by debug_names::file_write().

## ◆ lookup()

size_t debug_names::debug_str_lookup::lookup | ( | const char * | s | ) |
| inline

Definition at line 26326 of file dwarf2read.c.

References data_buf::append_cstr0(), m_str_add_buf, m_str_table, offset, dwarf2_section_info::size, data_buf::size(), and dwarf2_per_objfile::str.

Referenced by debug_names::build().

## Member Data Documentation

## ◆ m_abfd

bfd* const debug_names::debug_str_lookup::m_abfd
| private

Definition at line 26346 of file dwarf2read.c.

Referenced by debug_str_lookup().

## ◆ m_str_add_buf

data_buf debug_names::debug_str_lookup::m_str_add_buf
| private

Definition at line 26349 of file dwarf2read.c.

Referenced by file_write(), and lookup().

## ◆ m_str_table

std::unordered_map<c_str_view, size_t, c_str_view_hasher> debug_names::debug_str_lookup::m_str_table
| private

Definition at line 26345 of file dwarf2read.c.

Referenced by debug_str_lookup(), and lookup().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c